Subject: Re: [PATCH V10] RO/NX protection for loadable kernel modules

From: Rusty Russell <[email-masked]>
Date: Mon, 8 Feb 2010 11:59:44 +1030

On Tue, 2 Feb 2010 04:36:49 pm H. Peter Anvin wrote:
> On 02/01/2010 07:59 PM, Rusty Russell wrote:
> > On Tue, 2 Feb 2010 10:09:53 am Siarhei Liakh wrote:
> >> This patch is a logical extension of the protection provided by
> >> CONFIG_DEBUG_RODATA to LKMs. The protection is provided by splitting
> >> module_core and module_init into three logical parts each and setting
> >> appropriate page access permissions for each individual section:
> >>
> >>   1. Code: RO+X
> >>   2. RO data: RO+NX
> >>   3. RW data: RW+NX
> >
> > Thanks, applied!
> 
> I also applied this to the -tip tree... do you prefer to carry it or 
> should I leave it as is?

I'm always happy for you to do my work for me!  There are no other module
patches likely to conflict.

Acked-by: Rusty Russell <[email-masked]>

Cheers,
Rusty.